import java.io.*;
public class FileCharRead {
  public static void main(String[] args){
    try{
       FileInputStream fis = new FileInputStream("data.txt");
       char ch = (char) fis.read();
       System.out.println("The character read from the file is " + ch);
       fis.close();
     }catch(IOException e){
         System.err.println(e);
     }
  }
}